import { SYSTEM } from "../config/system.mjs";

export default class FTLNomadTalent extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    const schema = {};

    schema.isAdvantage = new fields.BooleanField({ required: true, initial: false });
    
    schema.description = new fields.HTMLField({ required: true, textSearch: true })

    return schema;
  }

  /** @override */
  static LOCALIZATION_PREFIXES = ["FTLNOMAD.Talent"];
}